<?php

namespace Drupal\cleantalk\EventSubscriber;


use Drupal\cleantalk\CleantalkFuncs;
use Symfony\Component\EventDispatcher\EventSubscriberInterface;
use Symfony\Component\HttpKernel\Event\ResponseEvent;
use Symfony\Component\HttpKernel\KernelEvents;

class RespondSubscriber implements EventSubscriberInterface
{
  public static function getSubscribedEvents() {
    $events[KernelEvents::RESPONSE][] = ['onRespond'];
    return $events;
  }

  /**
   * Sets extra headers on successful responses.
   *
   * @param $event
   *   The event to process.
   */
  public function onRespond($event)
  {
    $response = $event->getResponse();

    $modifed_content = CleantalkFuncs::apbct_process_buffer($response->getContent(), $event->getRequest()->getPathInfo());

    $response->setContent($modifed_content);
  }
}
